"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._optimizeImageExt = exports._optimizeImage = void 0;
const result = (result, releaseResult) => {
    const r = result
        ? { ...result, data: Uint8Array.from(result.data) }
        : undefined;
    releaseResult();
    return r;
};
const _optimizeImage = async ({ image, width = 0, height = 0, quality = 100, format = "avif", speed = 6, libImage, }) => (0, exports._optimizeImageExt)({
    image,
    width,
    height,
    quality,
    format,
    speed,
    libImage,
}).then((r) => r?.data);
exports._optimizeImage = _optimizeImage;
const _optimizeImageExt = async ({ image, width = 0, height = 0, quality = 100, format = "avif", speed = 6, libImage, }) => libImage.then(({ optimize, releaseResult }) => result(optimize(image, width, height, quality, format, speed), releaseResult));
exports._optimizeImageExt = _optimizeImageExt;
//# sourceMappingURL=optimizeImage.js.map