import type { OptimizeParams, OptimizeResult } from "../types/index.js";
export type { OptimizeParams, OptimizeResult };
declare const waitAll: () => Promise<void>, waitReady: (retryTime?: number) => Promise<void>, close: () => void, setLimit: (limit: number) => void, launchWorker: () => Promise<void[]>;
export declare const optimizeImage: (params: OptimizeParams) => Promise<Uint8Array<ArrayBuffer> | undefined>;
export declare const optimizeImageExt: (params: OptimizeParams) => Promise<{
    data: Uint8Array<ArrayBuffer>;
    originalWidth: number;
    originalHeight: number;
    width: number;
    height: number;
} | undefined>;
export { waitAll, waitReady, close, setLimit, launchWorker };
