import type { OptimizeParams, OptimizeResult } from "../types/index.js";
export type { OptimizeParams, OptimizeResult };
export declare const optimizeImage: (_params: OptimizeParams) => OptimizeResult;
export declare const optimizeImageExt: (_params: OptimizeParams) => OptimizeResult;
export declare const setLimit: (_limit: number) => void;
export declare const close: () => void;
export declare const waitAll: () => Promise<void>;
export declare const waitReady: (_retryTime?: number) => Promise<void>;
export declare const launchWorker: () => Promise<void>;
