"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.optimizeImageExt = exports.optimizeImage = void 0;
const node_fs_1 = __importDefault(require("node:fs"));
const node_path_1 = __importDefault(require("node:path"));
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
/* @ts-ignore */
const libImage_js_1 = __importDefault(require("../../cjs/libImage.js"));
const optimizeImage_js_1 = require("../lib/optimizeImage.js");
const libImage = (0, libImage_js_1.default)({
    wasmBinary: node_fs_1.default.readFileSync(node_path_1.default.resolve(__dirname, "../../esm/libImage.wasm")),
});
const optimizeImage = async (params) => (0, optimizeImage_js_1._optimizeImage)({ ...params, libImage });
exports.optimizeImage = optimizeImage;
const optimizeImageExt = async (params) => (0, optimizeImage_js_1._optimizeImageExt)({ ...params, libImage });
exports.optimizeImageExt = optimizeImageExt;
//# sourceMappingURL=index.js.map