import type { ModuleType } from "../esm/libImage.js";
import type { OptimizeParams } from "../types/index.js";
export declare const _optimizeImage: ({ image, width, height, quality, format, speed, libImage, }: OptimizeParams & {
    libImage: Promise<ModuleType>;
}) => Promise<Uint8Array<ArrayBuffer> | undefined>;
export declare const _optimizeImageExt: ({ image, width, height, quality, format, speed, libImage, }: OptimizeParams & {
    libImage: Promise<ModuleType>;
}) => Promise<{
    data: Uint8Array<ArrayBuffer>;
    originalWidth: number;
    originalHeight: number;
    width: number;
    height: number;
} | undefined>;
