const result = (result, releaseResult) => {
    const r = result
        ? { ...result, data: Uint8Array.from(result.data) }
        : undefined;
    releaseResult();
    return r;
};
export const _optimizeImage = async ({ image, width = 0, height = 0, quality = 100, format = "avif", speed = 6, libImage, }) => _optimizeImageExt({
    image,
    width,
    height,
    quality,
    format,
    speed,
    libImage,
}).then((r) => r?.data);
export const _optimizeImageExt = async ({ image, width = 0, height = 0, quality = 100, format = "avif", speed = 6, libImage, }) => libImage.then(({ optimize, releaseResult }) => result(optimize(image, width, height, quality, format, speed), releaseResult));
//# sourceMappingURL=optimizeImage.js.map