import type { OptimizeParams, OptimizeResult } from "../types/index.js";
export type { OptimizeParams, OptimizeResult };
export declare const optimizeImage: (params: OptimizeParams) => Promise<Uint8Array<ArrayBuffer> | undefined>;
export declare const optimizeImageExt: (params: OptimizeParams) => Promise<{
    data: Uint8Array<ArrayBuffer>;
    originalWidth: number;
    originalHeight: number;
    width: number;
    height: number;
} | undefined>;
export declare const setLimit: (_limit: number) => void;
export declare const close: () => void;
export declare const waitAll: () => Promise<void>;
export declare const waitReady: (_retryTime?: number) => Promise<void>;
export declare const launchWorker: () => Promise<void>;
