import LibImage from "../cjs/libImage.js";
import { _optimizeImage, _optimizeImageExt } from "../lib/optimizeImage.js";
const getLibImage = async () => LibImage({
    wasmBinary: await fetch("https://cdn.jsdelivr.net/npm/wasm-image-optimization@1.2.18/dist/esm/libImage.wasm").then((v) => v.arrayBuffer()),
});
export const optimizeImage = async (params) => _optimizeImage({ ...params, libImage: getLibImage() });
export const optimizeImageExt = async (params) => _optimizeImageExt({ ...params, libImage: getLibImage() });
export const setLimit = (_limit) => { };
export const close = () => { };
export const waitAll = () => Promise.resolve();
export const waitReady = (_retryTime) => Promise.resolve();
export const launchWorker = () => Promise.resolve();
//# sourceMappingURL=index.js.map