export type OptimizeResult = {
    data: Uint8Array;
    originalWidth: number;
    originalHeight: number;
    width: number;
    height: number;
};
export type OptimizeParams = {
    image: BufferSource | string;
    width?: number;
    height?: number;
    quality?: number;
    format?: "jpeg" | "png" | "webp" | "avif" | "none";
    speed?: number;
};
