import type { OptimizeParams } from "../types/index.js";
declare const map: {
    optimizeImage: (params: OptimizeParams) => Promise<Uint8Array<ArrayBuffer> | undefined>;
    optimizeImageExt: (params: OptimizeParams) => Promise<{
        data: Uint8Array<ArrayBuffer>;
        originalWidth: number;
        originalHeight: number;
        width: number;
        height: number;
    } | undefined>;
};
export type WorkerType = typeof map;
export {};
