import { initWorker } from "worker-lib";
import { _optimizeImage, _optimizeImageExt } from "../lib/optimizeImage.js";
const libImage = import("../cjs/libImage.js").then((m) => m.default({}));
const map = initWorker({
    optimizeImage: async (params) => _optimizeImage({ ...params, libImage }),
    optimizeImageExt: async (params) => _optimizeImageExt({ ...params, libImage }),
});
//# sourceMappingURL=_web-worker.js.map