import type { OptimizeParams, OptimizeResult } from "../types/index.js";
export type { OptimizeParams, OptimizeResult };
export declare const optimizeImage: (params: OptimizeParams) => Promise<Uint8Array<ArrayBuffer> | undefined>;
export declare const optimizeImageExt: (params: OptimizeParams) => Promise<{
    data: Uint8Array<ArrayBuffer>;
    originalWidth: number;
    originalHeight: number;
    width: number;
    height: number;
} | undefined>;
