import LibImage from "../cjs/libImage.js";
import WASM from "../esm/libImage.wasm";
import { _optimizeImage, _optimizeImageExt } from "../lib/optimizeImage.js";
const libImage = LibImage({
    instantiateWasm: async (imports, receiver) => {
        receiver(await WebAssembly.instantiate(WASM, imports));
    },
});
export const optimizeImage = async (params) => _optimizeImage({ ...params, libImage });
export const optimizeImageExt = async (params) => _optimizeImageExt({ ...params, libImage });
//# sourceMappingURL=index.js.map